Package com.xebialabs.xlrelease.api.v1.forms

## Class UserAccount

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.UserAccount

-     public class UserAccount
      extends java.lang.Object

  A compound object containing user information, using in API

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserAccount()` |
    `UserAccount​(java.lang.String username, UserProfile profile, boolean isInternal)` |
    `UserAccount​(java.lang.String username, UserProfile profile, boolean isInternal, boolean personalAccessTokenEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDateFormat()` |
    `java.lang.String` | `getEmail()` |
    `java.lang.String` | `getExternalId()` |
    `java.lang.Integer` | `getFirstDayOfWeek()` |
    `java.lang.String` | `getFullName()` |
    `java.util.Date` | `getLastActive()` |
    `java.lang.String` | `getPassword()` |
    `java.lang.String` | `getPreviousPassword()` |
    `java.lang.String` | `getProfileId()` |
    `java.lang.String` | `getTimeFormat()` |
    `java.lang.String` | `getUsername()` |
    `boolean` | `hasPassword()` |
    `boolean` | `isAnalyticsEnabled()` |
    `boolean` | `isExternal()` |
    `boolean` | `isLoginAllowed()` |
    `boolean` | `isPersonalAccessTokenEnabled()` |
    `boolean` | `isTaskDrawerEnabled()` |
    `void` | `setAnalyticsEnabled​(boolean analyticsEnabled)` |
    `void` | `setDateFormat​(java.lang.String dateFormat)` |
    `void` | `setEmail​(java.lang.String email)` |
    `void` | `setExternalId​(java.lang.String externalId)` |
    `void` | `setFirstDayOfWeek​(java.lang.Integer firstDayOfWeek)` |
    `void` | `setFullName​(java.lang.String fullName)` |
    `void` | `setLastActive​(java.util.Date lastActive)` |
    `void` | `setLoginAllowed​(boolean loginAllowed)` |
    `void` | `setPassword​(java.lang.String password)` |
    `void` | `setPreviousPassword​(java.lang.String previousPassword)` |
    `void` | `setTaskDrawerEnabled​(boolean taskDrawerEnabled)` |
    `void` | `setTimeFormat​(java.lang.String timeFormat)` |
    `void` | `setUsername​(java.lang.String username)` |
    `UserProfile` | `toUserProfile()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserAccount

          public UserAccount()

    - #### UserAccount

          public UserAccount​(java.lang.String username,
                             UserProfile profile,
                             boolean isInternal)

    - #### UserAccount

          public UserAccount​(java.lang.String username,
                             UserProfile profile,
                             boolean isInternal,
                             boolean personalAccessTokenEnabled)

  - ### Method Detail

    - #### toUserProfile

          public UserProfile toUserProfile()

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername​(java.lang.String username)

    - #### isExternal

          public boolean isExternal()

    - #### isPersonalAccessTokenEnabled

          public boolean isPersonalAccessTokenEnabled()

    - #### getProfileId

          public java.lang.String getProfileId()

    - #### getEmail

          public java.lang.String getEmail()

    - #### setEmail

          public void setEmail​(java.lang.String email)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword​(java.lang.String password)

    - #### hasPassword

          public boolean hasPassword()

    - #### getPreviousPassword

          public java.lang.String getPreviousPassword()

    - #### setPreviousPassword

          public void setPreviousPassword​(java.lang.String previousPassword)

    - #### getFullName

          public java.lang.String getFullName()

    - #### setFullName

          public void setFullName​(java.lang.String fullName)

    - #### getExternalId

          public java.lang.String getExternalId()

    - #### setExternalId

          public void setExternalId​(java.lang.String externalId)

    - #### isLoginAllowed

          public boolean isLoginAllowed()

    - #### setLoginAllowed

          public void setLoginAllowed​(boolean loginAllowed)

    - #### getDateFormat

          public java.lang.String getDateFormat()

    - #### setDateFormat

          public void setDateFormat​(java.lang.String dateFormat)

    - #### getFirstDayOfWeek

          public java.lang.Integer getFirstDayOfWeek()

    - #### setFirstDayOfWeek

          public void setFirstDayOfWeek​(java.lang.Integer firstDayOfWeek)

    - #### getTimeFormat

          public java.lang.String getTimeFormat()

    - #### setTimeFormat

          public void setTimeFormat​(java.lang.String timeFormat)

    - #### getLastActive

          public java.util.Date getLastActive()

    - #### setLastActive

          public void setLastActive​(java.util.Date lastActive)

    - #### isAnalyticsEnabled

          public boolean isAnalyticsEnabled()

    - #### setAnalyticsEnabled

          public void setAnalyticsEnabled​(boolean analyticsEnabled)

    - #### isTaskDrawerEnabled

          public boolean isTaskDrawerEnabled()

    - #### setTaskDrawerEnabled

          public void setTaskDrawerEnabled​(boolean taskDrawerEnabled)